Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 1356915

Summary: [RFE] Add the control policy - Action - Storage Vmotion
Product: Red Hat CloudForms Management Engine Reporter: Sachin <sacpatil>
Component: ControlAssignee: John Hardy <jhardy>
Status: CLOSED WONTFIX QA Contact: Dmitry Misharov <dmisharo>
Severity: medium Docs Contact:
Priority: medium    
Version: 5.5.0CC: benglish, dajohnso, dmisharo, jhardy, jocarter, obarenbo
Target Milestone: GAKeywords: FutureFeature
Target Release: cfme-future   
Hardware: x86_64   
OS: All   
Whiteboard: control
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-10-11 19:17:06 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Sachin 2016-07-15 09:21:44 UTC
[RFE]


Add the action storage vmotion into CloudForms. CloudForms currently has vmotion, but I'd like to create some policies where we can migrate machines to another datastore upon their retirement. We're currently do this via powershell and a winRM proxy. It would be 100 times easier if there was just a sVmotion action available. 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 2 Adam Grare 2016-09-12 19:00:20 UTC
Storage vMotion can be done by passing only a datastore to ManageIQ::Providers::Vmware::InfraManager#vm_relocate, e.g.

vm = Vm.find_by(:name => 'vm_name')
vm.ext_management_system.vm_relocate(vm, :datastore => 'datastore-52')

Assigning back to Control team